package logic

import (
	"sevenkeys/database"
	"strings"
)

func filterPrinting(scryfallCard database.ScryfallCard, searchCriteria SearchCriteria) bool {
	if searchCriteria.SetCode != "" && !strings.Contains(scryfallCard.ScryfallSetCode, searchCriteria.SetCode) {
		return true
	}

	if searchCriteria.CollectorNumber != "" && !strings.Contains(scryfallCard.CollectorNumber, searchCriteria.CollectorNumber) {
		return true
	}

	if searchCriteria.Promo == False && scryfallCard.IsPromo {
		return true
	}
	if searchCriteria.Promo == True && !scryfallCard.IsPromo {
		return true
	}

	if searchCriteria.Language != "" && scryfallCard.Language != searchCriteria.Language {
		return true
	}

	return false
}
